use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::bank::models::Bank> for bpr::models::bank::Bank {
  fn from(d: &repositories::bank::models::Bank) -> Self {
    bpr::models::bank::Bank {
      id: d.id.to_string(),
      name: d.name.clone(),
      show: d.show,
      can_use: d.can_use,
      memo: d.memo.clone(),
      sort_order: d.sort_order as u32,
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
