use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::member_session::models::MemberSession>
  for bpr::models::member_session::MemberSession
{
  fn from(d: &repositories::member_session::models::MemberSession) -> Self {
    bpr::models::member_session::MemberSession {
      id: d.id.to_string(),
      member_id: d.member_id.to_string(),
      ip: d.ip.clone(),
      last_accessed_at: d.last_accessed_at as u64,
      expires_at: d.expires_at as u64,
      created_at: d.created_at as u64,
    }
  }
}
